%global modulename hosted-git-info

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-hosted-git-info
Version:        2.7.1
Release:        1%{?dist}
Summary:        Provides metadata and conversions from repository urls for Github, Bitbucket and Gitlab

License:        ISC
URL:            https://github.com/npm/hosted-git-info
Source0:        https://registry.npmjs.org/hosted-git-info/-/hosted-git-info-2.7.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch


Requires:       npmlib(%{modulename}) = %{version}

%description
Provides metadata and conversions from repository urls for Github, Bitbucket and Gitlab

%package 2.7.1
Summary:        Provides metadata and conversions from repository urls for Github, Bitbucket and Gitlab


%description 2.7.1
Provides metadata and conversions from repository urls for Github, Bitbucket and Gitlab

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr git-host-info.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr git-host.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 2.7.1
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 2.7.1-1
- Package automatically generated by npm2srpm
